Index: branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 8895)
+++ branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 8904)
@@ -122,10 +122,8 @@
       !========================================================
       !                                                         ! masks (inum2) 
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'tmask', tmask_crs, ktype = jp_i1 )     !    ! land-sea mask
       CALL iom_rstput( 0, 0, inum2, 'umask', umask_crs, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'vmask', vmask_crs, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'fmask', fmask_crs, ktype = jp_i1 )
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       
       
@@ -158,20 +156,15 @@
          fpol_crs(jpiglo_crs/2+1:jpiglo_crs,:)=0._wp
       ENDIF
-      IF(nn_timing == 2)  CALL timing_start('rst_put') 
+      
       CALL iom_rstput( 0, 0, inum2, 'tmaskutil', tmask_i_crs, ktype = jp_i1 )
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
+                                   !    ! unique point mask
       CALL dom_uniq_crs( zprw, 'U' )
       zprt = umask_crs(:,:,1) * zprw
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'umaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       CALL dom_uniq_crs( zprw, 'V' )
       zprt = vmask_crs(:,:,1) * zprw
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'vmaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       CALL dom_uniq_crs( zprw, 'F' )
       zprt = fmask_crs(:,:,1) * zprw
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'fmaskutil', zprt, ktype = jp_i1 )  
       !========================================================
@@ -198,12 +191,10 @@
       
       CALL iom_rstput( 0, 0, inum3, 'ff', ff_crs, ktype = jp_r8 )           !    ! coriolis factor
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
+
       !========================================================
       !                                                         ! vertical mesh (inum4) 
 !     ! note that mbkt is set to 1 over land ==> use surface tmask_crs
       zprt(:,:) = tmask_crs(:,:,1) * REAL( mbkt_crs(:,:) , wp )
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum4, 'mbathy', zprt, ktype = jp_i2 )     !    ! nb of ocean T-points
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
 
       IF( ln_zps ) THEN                       ! z-coordinate - partial steps
@@ -211,10 +202,8 @@
             
          IF ( nn_msh_crs <= 6 ) THEN
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'e3t', e3t_crs )      
             CALL iom_rstput( 0, 0, inum4, 'e3w', e3w_crs )      
             CALL iom_rstput( 0, 0, inum4, 'e3u', e3u_crs )      
             CALL iom_rstput( 0, 0, inum4, 'e3v', e3v_crs )      
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ELSE
             DO jj = 1,jpj_crs   
@@ -227,8 +216,7 @@
             CALL crs_lbc_lnk( ze3tp,'T', 1.0 )
             CALL crs_lbc_lnk( ze3wp,'W', 1.0 )
-            IF(nn_timing == 2)  CALL timing_start('rst_put') 
+  
             CALL iom_rstput( 0, 0, inum4, 'e3t_ps', ze3tp )      
             CALL iom_rstput( 0, 0, inum4, 'e3w_ps', ze3wp )
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ENDIF
 
@@ -245,9 +233,7 @@
 
             CALL crs_lbc_lnk( zdepu,'U', 1. )   ;   CALL crs_lbc_lnk( zdepv,'V', 1. ) 
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'gdepu', zdepu, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepv', zdepv, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepw', gdepw_crs, ktype = jp_r4 )
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ELSE
             DO jj = 1,jpj_crs   
@@ -257,10 +243,8 @@
                END DO
             END DO
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'hdept', zprt, ktype = jp_r4 )     
             CALL iom_rstput( 0, 0, inum4, 'hdepw', zprw, ktype = jp_r4 ) 
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ENDIF
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
+
          CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )     !    ! reference z-coord.
          CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
@@ -285,15 +269,13 @@
          CALL iom_rstput(  0, 0, inum4, 'crs_surfv_wgt', crs_surfv_wgt ) 
          CALL iom_rstput(  0, 0, inum4, 'crs_volt_wgt' , crs_volt_wgt  ) 
-         IF(nn_timing == 2)  CALL timing_stop('rst_put') 
+
       ENDIF
       
      IF( ln_zco ) THEN
          !                                                      ! z-coordinate - full steps
-        IF(nn_timing == 2)  CALL timing_start('rst_put')
         CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )     !    ! depth
         CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
         CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )     !    ! scale factors
         CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
-        IF(nn_timing == 2)  CALL timing_stop('rst_put')
      ENDIF
       !                                     ! ============================
